import { Http } from '@angular/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/switchMap';
import { IBskHttpService } from './definitions/Ibsk-http.service';
import { IStorageService } from './definitions/Istorage.service';
export declare class BskHttpService implements IBskHttpService {
    private storage;
    private httpService;
    constructor(storage: IStorageService, httpService: Http);
    private testUrl;
    get(url: string): Observable<any>;
    private handleTokenError(error);
}
