"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var http_1 = require('@angular/http');
var core_1 = require('@angular/core');
var Observable_1 = require('rxjs/Observable');
require('rxjs/add/operator/switchMap');
var BskHttpService = (function () {
    function BskHttpService(storage, httpService) {
        this.storage = storage;
        this.httpService = httpService;
        this.testUrl = 'https://en.wikipedia.org/w/api.php?action=query&titles=Main%20Page&prop=revisions&rvprop=content&format=json';
    }
    BskHttpService.prototype.get = function (url) {
        var _this = this;
        return this.storage.get('sessionToken').switchMap(function (token) {
            return _this.httpService.get(_this.testUrl);
        }, function (error) { return _this.handleTokenError(error); });
    };
    BskHttpService.prototype.handleTokenError = function (error) {
        return Observable_1.Observable.throw('There was an error retrieving the token');
    };
    BskHttpService = __decorate([
        core_1.Injectable(),
        __param(0, core_1.Inject('IStorageService')), 
        __metadata('design:paramtypes', [Object, http_1.Http])
    ], BskHttpService);
    return BskHttpService;
}());
exports.BskHttpService = BskHttpService;
//# sourceMappingURL=bsk-http.service.js.map